Subject: Re: bug#71690: 14.0.5; preview-latex clips bold text with inline equations

From: Arash Esbati <[email-masked]>
Date: Thu, 27 Jun 2024 00:04:31 +0200

Jeremy Bryant <[email-masked]> writes:

> How can you check on your system which version of preview is being
> used?

Not sure, but I think the value of `preview-TeX-style-dir' could help:

,----[ C-h v preview-TeX-style-dir RET ]
| preview-TeX-style-dir is a variable defined in ‘preview.el’.
| 
| Its value is nil
| 
| This variable contains the location of uninstalled TeX styles.
| If this is nil, the preview styles are considered to be part of
| the installed TeX system.
| 
| Otherwise, it can either just specify an absolute directory, or
| it can be a complete TEXINPUTS specification.  If it is the
| latter, it has to be followed by the character with which
| kpathsea separates path components, either ‘:’ on Unix-like
| systems, or ‘;’ on Windows-like systems.  And it should be
| preceded with .: or .; accordingly in order to have . first in
| the search path.
| 
| The ‘TEXINPUTS’ environment type variables will get this prepended
| at load time calling M-x preview-set-texinputs to reflect this.
| You can permanently install the style files using
| M-x preview-install-styles.
| 
| Don’t set this variable other than with customize so that its
| changes get properly reflected in the environment.
| 
`----

And I think "uninstalled" should read "installed".  My solution was to
hit 'C-c C-l' after a preview run and search for preview.sty.

Best, Arash